/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * FinishedGoodsBean.java
 */

package org.eu.adapt.demonstrator.eb.manufacturer;

import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EntityContext;
import javax.ejb.EntityBean;

public abstract class FinishedGoodsBean implements EntityBean
{
    public String ejbCreate(String id, String description)
        throws CreateException
    {
        setId(id);
        setDescription(description);

        return null;
    }

    public void ejbPostCreate(String id, String description)
    {
    }

    public abstract void setId(String id);

    public abstract String getId();

    public abstract void setDescription(String description);

    public abstract String getDescription();

    public abstract void setInventoryItems(Collection inventoryItem);

    public abstract Collection getInventoryItems();

    public abstract void setProductionLines(Collection productionLines);

    public abstract Collection getProductionLines();

    public abstract void setItems(Collection items);

    public abstract Collection getItems();

    public void setEntityContext(EntityContext entityContext)
    {
    }

    public void unsetEntityContext()
    {
    }

    public void ejbActivate()
    {
    }

    public void ejbPassivate()
    {
    }

    public void ejbLoad()
    {
    }

    public void ejbStore()
    {
    }    

    public void ejbRemove()
    {
    }
}
